import * as React from "react";
import { FlatList, Pressable, StyleSheet } from "react-native";
import Text from "react-native-simple-elements/components/Text";
const defaultProps = {
  options: [],
  height: 56
};

const ScrollableTab = props => {
  const {
    options,
    onItemPress,
    height,
    style
  } = props;

  const _handleItemPress = (item, index) => {
    if (typeof onItemPress === "function") {
      onItemPress(item, index);
    }
  };

  const renderItem = ({
    item,
    index
  }) => {
    return /*#__PURE__*/React.createElement(Pressable, {
      key: index,
      onPress: () => _handleItemPress(item, index)
    }, /*#__PURE__*/React.createElement(Text, null, "".concat(item.label)));
  };

  return /*#__PURE__*/React.createElement(FlatList, {
    horizontal: true,
    data: options,
    renderItem: renderItem,
    style: StyleSheet.flatten([style, {
      height
    }])
  });
};

ScrollableTab.defaultProps = defaultProps;
export default ScrollableTab;
//# sourceMappingURL=ScrollableTab.js.map