import * as React from "react";
declare type Props = {
    value?: Date;
    min?: Date;
    max?: Date;
    format?: (date: any) => string;
    step?: number;
    type?: string;
    onSelect?: (value: any) => void;
};
declare type State = {
    dates?: Date[];
    translateY?: number;
    marginTop?: number;
};
declare class DatePickerItem extends React.Component<Props, State> {
    animating: boolean;
    touchY: number;
    translateY: number;
    currentIndex: number;
    moveDateCount: number;
    _moveToTimer: any;
    viewport: any;
    state: State;
    constructor(props: any);
    UNSAFE_componentWillMount(): void;
    componentDidMount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    /**
     * Optimization component, Prevents unnecessary rendering
     * Only value or state change should re-rendering
     *
     * @param  {Object} nextProps next props
     * @param  {Object} nextState next state
     * @return {Boolean}          Whether re-rendering
     */
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    componentWillUnmount(): void;
    _iniDates(date: any): void;
    _updateDates(direction: any): void;
    _checkIsUpdateDates(direction: any, translateY: any): boolean;
    /**
     * Clear the transition style of the object
     * @param  {Dom}     obj     Specified object
     * @return {undefined}
     */
    _clearTransition(obj: any): void;
    /**
     * Swipe to the next date
     * @param  {number} direction Sliding direction
     * @return {undefined}
     */
    _moveToNext(direction: any): void;
    /**
     * Add sliding animation
     * @param  {number} angle angle
     * @return {undefined}
     */
    _moveTo(currentIndex: any): void;
    handleStart(event: any): void;
    handleMove(event: any): void;
    handleEnd(event: any): void;
    /**
     * Sliding date picker touch screen event
     * @param  {Object} event Event object
     * @return {undefined}
     */
    handleContentTouch(event: any): void;
    /**
     * Sliding date picker mouse event
     * @param  {Object} event Event object
     * @return {undefined}
     */
    handleContentMouseDown(event: any): void;
    handleContentMouseMove(event: any): void;
    handleContentMouseUp(event: any): void;
    /**
     * Render a date DOM object
     * @param  {Object} date
     * @return {Object}
     */
    renderDatepickerItem(date: any, index: any): JSX.Element;
    render(): JSX.Element;
}
export default DatePickerItem;
